Subject: bug#69282: 30.0.50; warning for obsolete macro in version 30.0.50

From: Niels Søndergaard <[email-masked]>
Date: Thu, 22 Feb 2024 09:46:50 +0100

Hello, 
I found the origin :
￼
med venlig hilsen
Niels

 <about:blank#>
Niels Søndergaard • civilingeniør
Address: Mariehøj 236, 2990 Nivå 
Mobile: +45 4052 2789 <tel:%20%20+45%204052%202789>
Website: algon.dk <https://algon.dk/>
Email: [email-masked] <mailto:[email-masked]>
 <about:blank#> <about:blank#>
for at være fri er det ikke nok at kaste egne lænker, men at leve 
på en måde, der respektere og fremmer andres frihed.                                 
                                                                     — Nelson Mandela

> Den 20. feb. 2024 kl. 18.55 skrev Niels Søndergaard <[email-masked]>:
> 
> sorry….  (and as usual I have at lot of excuses for mysellf, but I’ll spare youfor that now)
> 
> Thing got a lot worse, I use to be able to build working versions out of the source 30.0.50, but just now I can’t
> 
> “emacs —debug-init" giving as shown on the picture:
> <Skærmbillede 2024-02-20 kl. 18.46.55.png>
> 
> the warning came also out, but I have no indication from wich file the warning came, as shown 
> <Skærmbillede 2024-02-20 kl. 18.54.43.png>
> 
> 
>> Den 20. feb. 2024 kl. 18.35 skrev Eli Zaretskii <[email-masked]>:
>> 
>> [Please use Reply All to reply, to keep the bug tracker CC'ed.]
>> 
>>> Date: Tue, 20 Feb 2024 18:22:18 +0100
>>> From: Niels Søndergaard <[email-masked]>
>>> 
>>> I’will try to figure it out, what happend is:
>>> 
>>> I start emacs (on my macOS with Apple silicon), I use emacs-dashboard, an the worning comes i window two
>>> with no indikaton (as I have seen).
>> 
>> Thanks.
>